Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

We have a ESXi environment with hosts in 5.0 and 5.1 versions.

We would like to upgrade our VM hardware versions (currently in version 4) to the version 8, which is the maximum supported by 5.0.

The issue is that if we use the 'Upgrade Virtual Hardware' option in a VM hosted in a 5.1 hosts it automatically upgrades it to hardware version 9.

The workaround that we know about is to migrate the VM to 5.0 host, perform the VM hardware upgrade there and then migrate back... obviously this is not an efficient way of upgrading +100 VMs.

Any ideas how to perform a VM hardware upgrade to version 8 in a 5.1 host?

Thanks.

share|improve this question
    
Curious -- why only to HW V8 and not to V9? –  mdpc Aug 7 '13 at 17:55
    
If I go to V9 the VMs couldn't migrate freely within my environment (I couldn't migrate them to a 5.0 host). –  rufo Aug 7 '13 at 17:57
    
Which is a good opportunity to update your 5.0 hosts... –  ewwhite Aug 7 '13 at 18:33
    
@ewwhite: not if the hardware doesn't support 5.1 :(. Believe me, I would be extremely happy to upgrade (and the licenses are the same, and with 5.1 standard we would get storage vmotion). –  rufo Aug 7 '13 at 19:16
2  
Oh, then your hosts are very old. You're leaving performance on the table. –  ewwhite Aug 7 '13 at 19:20

2 Answers 2

up vote 8 down vote accepted

You can use the Schedule Hardware Compatibility Wizard in the vSphere web client:

enter image description here

share|improve this answer

Well... I have found a way.

Use the VMware vSphere Web Client, it cannot be done from the desktop client (I cannot express how much I hate the web client).

http://www.vladan.fr/vmware-vsphere-5-1-virtual-hardware-version-9/

Using the web client it allows to schedule an upgrade to any HW level.

share|improve this answer
2  
Get used to the Web client. More functionality is being added to it. –  ewwhite Aug 7 '13 at 16:30
    
The web client is your friend. (well at least it's MY friend - because the VI client requires me to run a Windows VM just so I can manage my environment) –  voretaq7 Aug 7 '13 at 19:23

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.